## razercfg 0.39+ds

=== CMakeLists.txt ===
project(razer C)

cmake_minimum_required(VERSION 2.4)

if (COMMAND cmake_policy)
	# Libraries linked via full path no longer produce linker search paths.
	cmake_policy(SET CMP0003 NEW)
	# Preprocessor definition values are not escaped automatically.
	cmake_policy(SET CMP0005 OLD)
endif (COMMAND cmake_policy)

include("${razer_SOURCE_DIR}/scripts/cmake.global")
include(CheckIncludeFile)

macro(CHECK_LIB _LIB _HEADER)
	check_include_file(${_HEADER} ${_HEADER}_ERR)
	if (NOT ${_HEADER}_ERR)
		message(FATAL_ERROR "Could not find library \"lib${_LIB}\" "
			"with header ${_HEADER}")
	endif (NOT ${_HEADER}_ERR)
endmacro(CHECK_LIB)

check_lib(usb-1.0 libusb.h)

add_subdirectory(librazer)

configure_file("udev.rules.template" "udev.rules")

if(UDEV_DIR)
	install(FILES ${CMAKE_BINARY_DIR}/udev.rules
		DESTINATION ${UDEV_DIR}/rules.d
		RENAME 80-razer.rules
		PERMISSIONS OWNER_READ OWNER_WRITE
			    GROUP_READ
			    WORLD_READ)
endif(UDEV_DIR)

configure_file("pm-hook.sh.template" "pm-hook.sh" @ONLY)

install(FILES ${CMAKE_BINARY_DIR}/pm-hook.sh
	DESTINATION /etc/pm/sleep.d/
	RENAME 50-razer
	PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE
		    GROUP_READ GROUP_EXECUTE
		    WORLD_READ WORLD_EXECUTE)

configure_file("razerd.service.template" "razerd.service")

if(SYSTEMD_UNIT_DIR)
	install(FILES ${CMAKE_BINARY_DIR}/razerd.service
		DESTINATION ${SYSTEMD_UNIT_DIR}
		PERMISSIONS OWNER_READ OWNER_WRITE
					GROUP_READ
					WORLD_READ)
endif(SYSTEMD_UNIT_DIR)

configure_file("razercfg.desktop.template" "razercfg.desktop")

install(FILES ${CMAKE_BINARY_DIR}/razercfg.desktop
	DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications/
	PERMISSIONS OWNER_READ OWNER_WRITE
		    GROUP_READ
		    WORLD_READ)

install(FILES ${CMAKE_SOURCE_DIR}/icons/razercfg-icon.svg
	DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps/
	RENAME razercfg.svg
	PERMISSIONS OWNER_READ OWNER_WRITE
		    GROUP_READ
		    WORLD_READ)

install(FILES ${CMAKE_SOURCE_DIR}/icons/razercfg-alt.svg
	DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps/
	PERMISSIONS OWNER_READ OWNER_WRITE
		    GROUP_READ
		    WORLD_READ)

install(FILES ${CMAKE_SOURCE_DIR}/icons/razercfg-snake.svg
	DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps/
	PERMISSIONS OWNER_READ OWNER_WRITE
		    GROUP_READ
		    WORLD_READ)

add_subdirectory(razerd)
add_subdirectory(ui)

=== librazer/CMakeLists.txt ===
include("${razer_SOURCE_DIR}/scripts/cmake.global")

option(LIBRAZER_SHARED "Build librazer as a shared library" ON)
if (LIBRAZER_SHARED)
	set(SHARED_OR_STATIC "SHARED")
else (LIBRAZER_SHARED)
	set(SHARED_OR_STATIC "STATIC")
endif (LIBRAZER_SHARED)

add_library(razer ${SHARED_OR_STATIC}
	    buttonmapping.c
	    profile_emulation.c
	    librazer.c
	    config.c
	    util.c
	    synapse.c
	    cypress_bootloader.c
	    hw_boomslangce.c
	    hw_copperhead.c
	    hw_deathadder.c
	    hw_deathadder2013.c
	    hw_deathadder_chroma.c
	    hw_krait.c
	    hw_lachesis.c
	    hw_lachesis5k6.c
	    hw_naga.c
	    hw_imperator.c
	    hw_taipan.c
	    hw_mamba_tournament_edition.c
	    hw_diamondback_chroma.c)

set_target_properties(razer PROPERTIES COMPILE_FLAGS ${GENERIC_COMPILE_FLAGS}
				       SOVERSION 1)

add_definitions("-Du_int8_t=uint8_t -Du_int16_t=uint16_t -Du_int32_t=uint32_t")

target_link_libraries(razer usb-1.0)

install(TARGETS razer DESTINATION lib)

if (NOT DEFINED ENV{RPM_BUILD_ROOT} AND NOT DEFINED ENV{RAZERCFG_PKG_BUILD})
	install_exec_cmd("ldconfig"
			 "Your system will probably be unable to locate librazer.so library")
endif (NOT DEFINED ENV{RPM_BUILD_ROOT} AND NOT DEFINED ENV{RAZERCFG_PKG_BUILD})

=== ui/CMakeLists.txt ===
include("${razer_SOURCE_DIR}/scripts/cmake.global")


set(PYRAZER_DEPS "${CMAKE_CURRENT_SOURCE_DIR}/pyrazer/__init__.py"
		 "${CMAKE_CURRENT_SOURCE_DIR}/pyrazer/main.py")

set(PYRAZER_BUILD "${CMAKE_CURRENT_SOURCE_DIR}/build")


configure_file("${CMAKE_CURRENT_SOURCE_DIR}/setup.py.in"
	       "${CMAKE_CURRENT_SOURCE_DIR}/setup.py")

add_custom_command(OUTPUT ${PYRAZER_BUILD}/stamp
		   COMMAND ${PYTHON} "${CMAKE_CURRENT_SOURCE_DIR}/setup.py" build -b "${PYRAZER_BUILD}"
		   COMMAND ${CMAKE_COMMAND} -E touch ${PYRAZER_BUILD}/stamp
		   WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
		   DEPENDS ${PYRAZER_DEPS})

add_custom_target(pyrazer ALL
		  DEPENDS ${PYRAZER_BUILD}/stamp)

install(CODE
	"set(PYDESTDIR \"\$ENV{DESTDIR}\")
	if (\"\${PYDESTDIR}\" STREQUAL \"\")
		set(PYDESTDIR /)
	endif()
	execute_process(COMMAND ${PYTHON} \"${CMAKE_CURRENT_SOURCE_DIR}/setup.py\"
			           install --root \"\${PYDESTDIR}\" --prefix \"${CMAKE_INSTALL_PREFIX}\"
		         WORKING_DIRECTORY \"${CMAKE_CURRENT_SOURCE_DIR}\"
			 RESULT_VARIABLE pyrazer_install_res)
	if (NOT \"\${pyrazer_install_res}\" STREQUAL \"0\")
		message(FATAL_ERROR \"Failed to install pyrazer\")
	endif()
")

install(PROGRAMS razer-gamewrapper
	DESTINATION bin)

=== debian/changelog ===
razercfg (0.39+ds-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Luca Boccassi <bluca@debian.org>  Sat, 15 Sep 2018 11:56:47 +0100

razercfg (0.39+ds-2) unstable; urgency=medium

  * Update one of the authors email in d/copyright
  * Backport patch to switch to QT5.
  * Update dependencies to switch from pyside to pyqt5.
  * Remove build-dep on dh-systemd, deprecated.

 -- Luca Boccassi <bluca@debian.org>  Sun, 09 Sep 2018 23:28:06 +0100

razercfg (0.39+ds-1) unstable; urgency=medium

  * Initial packaging. (Closes: #587987)

 -- Luca Boccassi <bluca@debian.org>  Wed, 25 Oct 2017 21:29:08 +0100

=== debian/control ===
Source: razercfg
Maintainer: Luca Boccassi <bluca@debian.org>
Section: misc
Priority: optional
Build-Depends: debhelper (>= 10),
 cmake,
 libusb-1.0-0-dev,
 pkg-config,
 python3-dev,
 dh-python,
 systemd,
 udev,
Standards-Version: 3.9.8
Vcs-Git: https://github.com/bluca/razercfg-debian
Vcs-Browser: https://github.com/bluca/razercfg-debian
Homepage: https://bues.ch/h/razercfg

Package: razercfg
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6)
Suggests: python3-pyqt5
Description: Razer device configuration tool
 This is a system daemon and Python-powered CLI configuration utility for Razer
 devices on Linux systems.

Package: qrazercfg
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-pyqt5, razercfg
Description: Graphical Razer device configuration tool
 Python- and QT-powered configuration utility for the configuration of Razer
 devices on Linux systems.

Package: qrazercfg-applet
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-pyqt5, razercfg, qrazercfg
Description: Graphical Razer device configuration tool - applet
 Python- and QT-powered configuration utility for the configuration of Razer
 devices on Linux systems.

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8
export DH_VERBOSE=1
export RAZERCFG_PKG_BUILD=1

override_dh_auto_configure:
	dh_auto_configure -- -DLIBRAZER_SHARED=OFF

override_dh_clean:
	dh_clean
	rm -rf ui/build ui/pyrazer/__pycache__ ui/setup.py

override_dh_install:
	dh_install --fail-missing --exclude=librazer.a

override_dh_installinit:
	dh_installinit --name=razerd

%:
	dh $@ --with systemd --with python3 --buildsystem=cmake

## razercfg 0.40+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 if (COMMAND cmake_policy)
 	# Libraries linked via full path no longer produce linker search paths.
 	cmake_policy(SET CMP0003 NEW)
-	# Preprocessor definition values are not escaped automatically.
-	cmake_policy(SET CMP0005 OLD)
+	# Preprocessor definition values shall be escaped automatically.
+	cmake_policy(SET CMP0005 NEW)
 endif (COMMAND cmake_policy)
 
 include("${razer_SOURCE_DIR}/scripts/cmake.global")
@@ -54,32 +54,5 @@
 					WORLD_READ)
 endif(SYSTEMD_UNIT_DIR)
 
-configure_file("razercfg.desktop.template" "razercfg.desktop")
-
-install(FILES ${CMAKE_BINARY_DIR}/razercfg.desktop
-	DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications/
-	PERMISSIONS OWNER_READ OWNER_WRITE
-		    GROUP_READ
-		    WORLD_READ)
-
-install(FILES ${CMAKE_SOURCE_DIR}/icons/razercfg-icon.svg
-	DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps/
-	RENAME razercfg.svg
-	PERMISSIONS OWNER_READ OWNER_WRITE
-		    GROUP_READ
-		    WORLD_READ)
-
-install(FILES ${CMAKE_SOURCE_DIR}/icons/razercfg-alt.svg
-	DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps/
-	PERMISSIONS OWNER_READ OWNER_WRITE
-		    GROUP_READ
-		    WORLD_READ)
-
-install(FILES ${CMAKE_SOURCE_DIR}/icons/razercfg-snake.svg
-	DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps/
-	PERMISSIONS OWNER_READ OWNER_WRITE
-		    GROUP_READ
-		    WORLD_READ)
-
 add_subdirectory(razerd)
 add_subdirectory(ui)

=== ui/CMakeLists.txt ===
include("${razer_SOURCE_DIR}/scripts/cmake.global")


set(PYRAZER_DEPS "${CMAKE_CURRENT_SOURCE_DIR}/pyrazer/__init__.py"
		 "${CMAKE_CURRENT_SOURCE_DIR}/pyrazer/main.py"
		 "${CMAKE_CURRENT_SOURCE_DIR}/pyrazer/ui.py")

set(PYRAZER_BUILD "${CMAKE_CURRENT_BINARY_DIR}/build")


configure_file(setup.py.in setup.py)

add_custom_command(OUTPUT ${PYRAZER_BUILD}/stamp
		   COMMAND ${PYTHON} "${CMAKE_CURRENT_BINARY_DIR}/setup.py" build --build-base "${PYRAZER_BUILD}"
		   COMMAND ${CMAKE_COMMAND} -E touch ${PYRAZER_BUILD}/stamp
		   WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
		   DEPENDS ${PYRAZER_DEPS})

add_custom_target(pyrazer ALL
		  DEPENDS ${PYRAZER_BUILD}/stamp)

install(CODE
	"set(PYDESTDIR \"\$ENV{DESTDIR}\")
	if (\"\${PYDESTDIR}\" STREQUAL \"\")
		set(PYDESTDIR /)
	endif()
	execute_process(COMMAND ${PYTHON} \"${CMAKE_CURRENT_BINARY_DIR}/setup.py\"
			build --build-base \"${PYRAZER_BUILD}\" install --root \"\${PYDESTDIR}\" --prefix \"${CMAKE_INSTALL_PREFIX}\"
		        WORKING_DIRECTORY \"${CMAKE_CURRENT_SOURCE_DIR}\"
			RESULT_VARIABLE pyrazer_install_res)
	if (NOT \"\${pyrazer_install_res}\" STREQUAL \"0\")
		message(FATAL_ERROR \"Failed to install pyrazer\")
	endif()
")

install(PROGRAMS razer-gamewrapper
	DESTINATION bin)

configure_file(razercfg.desktop.template razercfg.desktop)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/razercfg.desktop
	DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications/
	PERMISSIONS OWNER_READ OWNER_WRITE
		    GROUP_READ
		    WORLD_READ)

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/icons/razercfg-icon.svg
	DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps/
	RENAME razercfg.svg
	PERMISSIONS OWNER_READ OWNER_WRITE
		    GROUP_READ
		    WORLD_READ)

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/icons/razercfg-alt.svg
	DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps/
	PERMISSIONS OWNER_READ OWNER_WRITE
		    GROUP_READ
		    WORLD_READ)

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/icons/razercfg-snake.svg
	DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps/
	PERMISSIONS OWNER_READ OWNER_WRITE
		    GROUP_READ
		    WORLD_READ)

=== debian/changelog ===
razercfg (0.40+ds-1) unstable; urgency=medium

  * New upstream release 0.40.
  * Drop 0001-Update-to-PyQt5.patch, merged upstream.
  * Add gbp.conf file
  * Set Rules-Requires-Root: no
  * Use dh_missing instead of dh_install --fail-missing
  * Bump Standards-Version to 4.2.1
  * Backport Add-the-working-directory-to-sys.path-to-fix-ftbfs.patch
    to fix build failure introduced in 0.40.
  * Backport razercfg.desktop-add-Comment-field.patch to fix error
    reported by Appstream.

 -- Luca Boccassi <bluca@debian.org>  Sun, 04 Nov 2018 15:05:26 +0000

razercfg (0.39+ds-3) unstable; urgency=medium

  * Switch razercfg to linux-any, itt uses udev heavily which is not
    available on Hurd and kFreeBSD.

 -- Luca Boccassi <bluca@debian.org>  Sat, 15 Sep 2018 12:57:48 +0100

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,14 @@
  dh-python,
  systemd,
  udev,
-Standards-Version: 3.9.8
+Standards-Version: 4.2.1
+Rules-Requires-Root: no
 Vcs-Git: https://github.com/bluca/razercfg-debian
 Vcs-Browser: https://github.com/bluca/razercfg-debian
 Homepage: https://bues.ch/h/razercfg
 
 Package: razercfg
-Architecture: any
+Architecture: linux-any
 Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6)
 Suggests: python3-pyqt5
 Description: Razer device configuration tool

## razercfg 0.41+ds

=== librazer/CMakeLists.txt ===
--- 
+++ 
@@ -32,8 +32,6 @@
 set_target_properties(razer PROPERTIES COMPILE_FLAGS ${GENERIC_COMPILE_FLAGS}
 				       SOVERSION 1)
 
-add_definitions("-Du_int8_t=uint8_t -Du_int16_t=uint16_t -Du_int32_t=uint32_t")
-
 target_link_libraries(razer usb-1.0)
 
 install(TARGETS razer DESTINATION lib)

=== debian/changelog ===
razercfg (0.41+ds-1build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:39:19 +0000

razercfg (0.41+ds-1) unstable; urgency=medium

  * New upstream release 0.41.
  * Bump Standards-Version to 4.5.0, no changes.
  * Drop Add-the-working-directory-to-sys.path-to-fix-ftbfs.patch and
    razercfg.desktop-add-Comment-field.patch, merged upstream.
  * Install tmpfiles in razercfg.

 -- Luca Boccassi <bluca@debian.org>  Thu, 23 Jan 2020 22:08:58 +0000

=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds\d+$//,repacksuffix=+ds,pgpmode=auto \
https://bues.ch/razercfg/razercfg-(\d\S+)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## razercfg 0.42+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,16 +29,13 @@
 if(UDEV_DIR)
 	install(FILES ${CMAKE_BINARY_DIR}/udev.rules
 		DESTINATION ${UDEV_DIR}/rules.d
-		RENAME 80-razer.rules
-		PERMISSIONS OWNER_READ OWNER_WRITE
-			    GROUP_READ
-			    WORLD_READ)
+		RENAME 80-razer.rules)
 endif(UDEV_DIR)
 
 configure_file("pm-hook.sh.template" "pm-hook.sh" @ONLY)
 
 install(FILES ${CMAKE_BINARY_DIR}/pm-hook.sh
-	DESTINATION /etc/pm/sleep.d/
+	DESTINATION /etc/pm/sleep.d
 	RENAME 50-razer
 	PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE
 		    GROUP_READ GROUP_EXECUTE
@@ -48,11 +45,12 @@
 
 if(SYSTEMD_UNIT_DIR)
 	install(FILES ${CMAKE_BINARY_DIR}/razerd.service
-		DESTINATION ${SYSTEMD_UNIT_DIR}
-		PERMISSIONS OWNER_READ OWNER_WRITE
-					GROUP_READ
-					WORLD_READ)
+		DESTINATION ${SYSTEMD_UNIT_DIR})
 endif(SYSTEMD_UNIT_DIR)
+
+install(FILES ${CMAKE_SOURCE_DIR}/tmpfile.conf
+	DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/tmpfiles.d
+	RENAME razerd.conf)
 
 add_subdirectory(razerd)
 add_subdirectory(ui)

=== razerd/CMakeLists.txt ===
include(${razer_SOURCE_DIR}/scripts/cmake.global)

add_executable(razerd
	       razerd.c)

set_target_properties(razerd PROPERTIES COMPILE_FLAGS ${GENERIC_COMPILE_FLAGS})

include_directories("${razer_SOURCE_DIR}/librazer")

target_link_libraries(razerd razer)
install(TARGETS razerd DESTINATION bin)

if (NOT DEFINED ENV{RPM_BUILD_ROOT} AND NOT DEFINED ENV{RAZERCFG_PKG_BUILD})
	if(SYSTEMD_UNIT_DIR)
		install_exec_cmd("systemctl --system daemon-reload"
				 "If you use systemd, please reload systemd manually or reboot the system")
		install_exec_cmd("systemctl --system --force enable razerd.service"
				 "If you use systemd, enable razerd.service manually")
	endif(SYSTEMD_UNIT_DIR)
	if(UDEV_DIR)
		install_exec_cmd("udevadm control --reload-rules"
				 "Please reload udev manually or reboot the system")
	endif(UDEV_DIR)
endif (NOT DEFINED ENV{RPM_BUILD_ROOT} AND NOT DEFINED ENV{RAZERCFG_PKG_BUILD})

=== debian/changelog ===
razercfg (0.42+ds-4ubuntu0.2) noble; urgency=medium

  * d/razercfg.install: Fix dh_install destination path
    under `dist-packages/dist-packages/` (LP: #2084502)

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Mon, 14 Oct 2024 20:12:15 -0300

razercfg (0.42+ds-4ubuntu0.1) noble; urgency=medium

  [ Dave Jones ]
  * Ensure fixed version of py3compile/py3clean is used when upgrading
    (LP: #2075337)

  [ Pushkar Kulkarni ]
  * Use the python3.12/dist-packages install path for oracular (LP: #2070171)

 -- Dave Jones <dave.jones@canonical.com>  Sun, 25 Aug 2024 23:33:20 +0100

razercfg (0.42+ds-4) unstable; urgency=medium

  * Add missing Pre-depends to fix Lintian warning
  * Pick up files from /usr/local/ (Closes: #1054799)

 -- Luca Boccassi <bluca@debian.org>  Mon, 18 Dec 2023 12:51:10 +0100

razercfg (0.42+ds-3) unstable; urgency=medium

  * Use env var in .install instead of override to fix FTBFS for arch: all
  * Drop build dependency on udev, pkg-config file is in systemd-dev

 -- Luca Boccassi <bluca@debian.org>  Tue, 26 Sep 2023 16:29:57 +0100

razercfg (0.42+ds-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)
  * Bump debhelper from old 10 to 13. + debian/rules: Drop --fail-missing
    argument to dh_missing, which is now the default.
  * Set debhelper-compat version in Build-Depends.
  * Use canonical URL in Vcs-Git.
  * Update standards version to 4.6.2, no changes needed.

  [ Luca Boccassi ]
  * d/rules: use execute_after instead of override
  * Drop dependency on lsb-base, deprecated
  * Build-depend on systemd-dev for pkg-config file instead of systemd

  [ Helmut Grohne ]
  * Fix FTBFS when systemd.pc changes systemdsystemunitdir. (Closes:
    #1052702)

 -- Luca Boccassi <bluca@debian.org>  Tue, 26 Sep 2023 13:02:29 +0100

razercfg (0.42+ds-1) unstable; urgency=medium

  * New upstream release 0.42.

 -- Luca Boccassi <bluca@debian.org>  Sat, 06 Jun 2020 14:55:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,27 @@
 Source: razercfg
-Maintainer: Luca Boccassi <bluca@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Luca Boccassi <bluca@debian.org>
 Section: misc
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
  cmake,
  libusb-1.0-0-dev,
  pkg-config,
  python3-dev,
  dh-python,
- systemd,
- udev,
-Standards-Version: 4.2.1
+ systemd-dev,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Vcs-Git: https://github.com/bluca/razercfg-debian
+Vcs-Git: https://github.com/bluca/razercfg-debian.git
 Vcs-Browser: https://github.com/bluca/razercfg-debian
 Homepage: https://bues.ch/h/razercfg
 
 Package: razercfg
 Architecture: linux-any
-Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6)
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Suggests: python3-pyqt5
+Breaks: python3-minimal (<< 3.12.3-0ubuntu2~)
 Description: Razer device configuration tool
  This is a system daemon and Python-powered CLI configuration utility for Razer
  devices on Linux systems.

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8
export DH_VERBOSE=1
export RAZERCFG_PKG_BUILD=1
export systemdsystemunitdir=$(shell pkg-config --variable=systemdsystemunitdir systemd | sed s,^/,,)
export udevrulesdir=$(shell pkg-config --variable=udevdir udev | sed s,^/,,)

override_dh_auto_configure:
	dh_auto_configure -- -DLIBRAZER_SHARED=OFF

execute_after_dh_clean:
	rm -rf ui/build ui/pyrazer/__pycache__ ui/setup.py

override_dh_install:
	dh_install --exclude=librazer.a

override_dh_installinit:
	dh_installinit --name=razerd

%:
	dh $@ --with python3 --buildsystem=cmake

## razercfg 0.43

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,5 @@
+cmake_minimum_required(VERSION 3.5)
 project(razer C)
-
-cmake_minimum_required(VERSION 2.4)
 
 if (COMMAND cmake_policy)
 	# Libraries linked via full path no longer produce linker search paths.
@@ -26,11 +25,9 @@
 
 configure_file("udev.rules.template" "udev.rules")
 
-if(UDEV_DIR)
-	install(FILES ${CMAKE_BINARY_DIR}/udev.rules
-		DESTINATION ${UDEV_DIR}/rules.d
-		RENAME 80-razer.rules)
-endif(UDEV_DIR)
+install(FILES ${CMAKE_BINARY_DIR}/udev.rules
+	DESTINATION /etc/udev/rules.d
+	RENAME 80-razer.rules)
 
 configure_file("pm-hook.sh.template" "pm-hook.sh" @ONLY)
 
@@ -43,11 +40,9 @@
 
 configure_file("razerd.service.template" "razerd.service")
 
-if(SYSTEMD_UNIT_DIR)
-	install(FILES ${CMAKE_BINARY_DIR}/razerd.service
-		DESTINATION ${SYSTEMD_UNIT_DIR})
-endif(SYSTEMD_UNIT_DIR)
-
+install(FILES ${CMAKE_BINARY_DIR}/razerd.service
+	DESTINATION /usr/lib/systemd/system)
+	
 install(FILES ${CMAKE_SOURCE_DIR}/tmpfile.conf
 	DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/tmpfiles.d
 	RENAME razerd.conf)

=== ui/CMakeLists.txt ===
--- 
+++ 
@@ -39,26 +39,14 @@
 configure_file(razercfg.desktop.template razercfg.desktop)
 
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/razercfg.desktop
-	DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications/
-	PERMISSIONS OWNER_READ OWNER_WRITE
-		    GROUP_READ
-		    WORLD_READ)
+	DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications)
 
 install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/icons/razercfg-icon.svg
-	DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps/
-	RENAME razercfg.svg
-	PERMISSIONS OWNER_READ OWNER_WRITE
-		    GROUP_READ
-		    WORLD_READ)
+	DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps
+	RENAME razercfg.svg)
 
 install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/icons/razercfg-alt.svg
-	DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps/
-	PERMISSIONS OWNER_READ OWNER_WRITE
-		    GROUP_READ
-		    WORLD_READ)
+	DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps)
 
 install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/icons/razercfg-snake.svg
-	DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps/
-	PERMISSIONS OWNER_READ OWNER_WRITE
-		    GROUP_READ
-		    WORLD_READ)
+	DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps)

=== debian/changelog ===
razercfg (0.43-6) unstable; urgency=medium

  * QA upload.
  * Fix clean target.
  * Move repository to salsa in group debian.
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Drop "Priority: optional" (default).
  * d/control: Update standards-version.
  * d/rules: Drop DH_VERBOSE.
  * Add debian/salsa-ci.yml.

 -- Santiago Vila <sanvila@debian.org>  Wed, 17 Dec 2025 21:10:00 +0100

razercfg (0.43-5) unstable; urgency=medium

  * Orphan package

 -- Luca Boccassi <bluca@debian.org>  Wed, 10 Dec 2025 17:58:36 +0000

razercfg (0.43-4) unstable; urgency=medium

  * Add build dependency on python3-setuptools (Closes: #1080860)

 -- Luca Boccassi <bluca@debian.org>  Tue, 10 Sep 2024 13:08:34 +0200

razercfg (0.43-3) unstable; urgency=medium

  * Use wildcard in dh_install file (Closes: #1074755)

 -- Luca Boccassi <bluca@debian.org>  Sun, 14 Jul 2024 15:15:42 +0100

razercfg (0.43-2) unstable; urgency=medium

  * Reset mtime to changelog date for files at epoch (Closes: #1074141)

 -- Luca Boccassi <bluca@debian.org>  Sun, 23 Jun 2024 18:12:36 +0100

razercfg (0.43-1) unstable; urgency=medium

  * Bump Standards-Version to 4.7.0, no changes
  * Fix dh_install destination path (Closes: #1059997)
  * Switch to pkgconf
  * Fix superfluous-file-pattern Lintian warning
  * Pick udev rule from /etc/
  * New upstream release 0.43.

 -- Luca Boccassi <bluca@debian.org>  Sun, 23 Jun 2024 14:13:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,17 @@
 Source: razercfg
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Luca Boccassi <bluca@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Section: misc
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
  cmake,
  libusb-1.0-0-dev,
- pkg-config,
+ pkgconf,
  python3-dev,
+ python3-setuptools,
  dh-python,
  systemd-dev,
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
-Vcs-Git: https://github.com/bluca/razercfg-debian.git
-Vcs-Browser: https://github.com/bluca/razercfg-debian
+Standards-Version: 4.7.2
+Vcs-Git: https://salsa.debian.org/debian/razercfg.git
+Vcs-Browser: https://salsa.debian.org/debian/razercfg
 Homepage: https://bues.ch/h/razercfg
 
 Package: razercfg
@@ -21,7 +19,6 @@
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Suggests: python3-pyqt5
-Breaks: python3-minimal (<< 3.12.3-0ubuntu2~)
 Description: Razer device configuration tool
  This is a system daemon and Python-powered CLI configuration utility for Razer
  devices on Linux systems.

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8
export RAZERCFG_PKG_BUILD=1
export systemdsystemunitdir=$(shell pkg-config --variable=systemdsystemunitdir systemd | sed s,^/,,)
export udevrulesdir=$(shell pkg-config --variable=udevdir udev | sed s,^/,,)

override_dh_auto_configure:
	dh_auto_configure -- -DLIBRAZER_SHARED=OFF

execute_after_dh_clean:
	rm -rf ui/build ui/pyrazer/__pycache__ ui/setup.py ui/razercfg.egg-info

override_dh_install:
	dh_install --exclude=librazer.a
	# The upstream tarball has several files with the timestamp set at epoch, fix them
	touch -m --no-create --date="$(shell dpkg-parsechangelog -Sdate)" \
		$(CURDIR)/debian/razercfg/etc/razer.conf \
		$(CURDIR)/debian/razercfg/usr/bin/razer-gamewrapper \
		$(CURDIR)/debian/razercfg/usr/lib/python3/dist-packages/pyrazer/__init__.py \
		$(CURDIR)/debian/razercfg/usr/lib/python3/dist-packages/pyrazer/main.py \
		$(CURDIR)/debian/razercfg/usr/lib/python3/dist-packages/pyrazer/ui.py \
		$(CURDIR)/debian/razercfg/usr/lib/tmpfiles.d/razerd.conf \
		$(CURDIR)/debian/qrazercfg/usr/share/icons/hicolor/scalable/apps/razercfg-alt.svg \
		$(CURDIR)/debian/qrazercfg/usr/share/icons/hicolor/scalable/apps/razercfg-snake.svg \
		$(CURDIR)/debian/qrazercfg/usr/share/icons/hicolor/scalable/apps/razercfg.svg

override_dh_installinit:
	dh_installinit --name=razerd
	touch -m --no-create --date="$(shell dpkg-parsechangelog -Sdate)" \
		$(CURDIR)/debian/razercfg/etc/init.d/razerd

%:
	dh $@ --with python3 --buildsystem=cmake
